Bug 829301 - Review Request: python-glanceclient - Python API and CLI for OpenStack Glance
Review Request: python-glanceclient - Python API and CLI for OpenStack Glance
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kashyap Chamarthy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 08:20 EDT by Pádraig Brady
Modified: 2012-06-08 11:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 11:48:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
p: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2012-06-06 08:20:52 EDT
Spec URL: http://pbrady.fedorapeople.org/python-glanceclient/python-glanceclient.spec

SRPM URL: http://pbrady.fedorapeople.org/python-glanceclient/python-glanceclient-2012.2-0.1.f1.fc15.noarch.rpm

Description: This is a client for the OpenStack Glance API. There's a Python API (the
glanceclient module), and a command-line script (glance). Each implements
100% of the OpenStack Glance API.

Fedora Account System Username: pbrady
Comment 1 Kashyap Chamarthy 2012-06-07 00:44:21 EDT
Padraig, I think you inadvertantly provided the url to RPM, not SRPM. Please upload it too:

It's not there in your root directory of python-glanceclient -- http://pbrady.fedorapeople.org/python-glanceclient/
Comment 3 Kashyap Chamarthy 2012-06-08 09:57:24 EDT
#-------------------------------------------------------------------------#
rpmlint output. I think the below Error can be safely ignored (as you're importing httplib at runtime)
---------------------
kashyap@SPECS$ rpmlint python-glanceclient.spec ../RPMS/noarch/python-glanceclient-2012.2-0.1.f1.fc16.noarch.rpm ../SRPMS/python-glanceclient-2012.2-0.1.f1.fc16.src.rpm 
python-glanceclient.noarch: E: explicit-lib-dependency python-httplib2
python-glanceclient.noarch: W: no-manual-page-for-binary glance
2 packages and 1 specfiles checked; 1 errors, 1 warnings.
kashyap@SPECS$ ls
---------------------


OK - %{?dist} tag is used in release
OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines

OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is ASL 2.0)

NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun
OK - The package MUST successfully compile and build. (It does build)
---
Successful koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4140534
---
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL.
#---------------------------#
kashyap@foo2$ sha256sum python-glanceclient-2012.2~f1.tar.gz
a591f49125bc019b977e478784c5ce67d408aed2fe499f4cbf418d01a738914a  python-glanceclient-2012.2~f1.tar.gz
kashyap@foo2$ sha256sum python-glanceclient-2012.2~f1.tar.gz-upstream 
a591f49125bc019b977e478784c5ce67d408aed2fe499f4cbf418d01a738914a  python-glanceclient-2012.2~f1.tar.gz-upstream
kashyap@foo2$ 
#---------------------------#
NA - The spec file MUST handle locales properly (no translations)
NA - The package is not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section  (This is taken care of from F13+ automatically)
OK - Each package must consistently use macros
OK - The package must contain code, or permissible content 
NA - Large documentation files must go in a -doc subpackage
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package -- no devel package
NA - Static libraries must be in a -static package -- no static package
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.


OK - All file names in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
#-------------------------------------------------------------------------#

Looks good to me.  Scratch build successful per earlier comment.

Review approved.
Comment 4 Pádraig Brady 2012-06-08 10:15:13 EDT
New Package SCM Request
=======================
Package Name: python-glanceclient
Short Description: Python API and CLI for OpenStack Glance
Owners: pbrady
Branches: f16 f17 el6
InitialCC:
Comment 5 Gwyn Ciesla 2012-06-08 10:27:28 EDT
Git done (by process-git-requests).
Comment 6 Pádraig Brady 2012-06-08 11:48:08 EDT
thanks!

Note You need to log in before you can comment on or make changes to this bug.